txt2po(1)

NAME
txt2po - convert plain text (.txt) files to Gettext PO localization files

SYNOPSIS

txt2po [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-P|--pot] [--encoding] [--flavour FLAVOUR] [--duplicates DUPLICATESTYLE]

DESCRIPTION
See: http://translate.sourceforge.net/wiki/toolkit/txt2po for examples and usage instructions

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in *, txt formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in po, pot formats

-P/--pot
    output PO Templates (.pot) rather than PO files (.po)

--encoding
    The encoding of the input file (default: UTF-8)

--flavour
    The flavour of text file: plain (default), dokuwiki, mediawiki

--duplicates
    what to do with duplicate strings (identical source text): merge, msgctxt (default: 'msgctxt')